# Filename: point_xyz.py
# Purpose: Generator for the x/y/z portion of a point.
# Returns: Point x/y/z properties.

from maptek import vulcan_gui

# select object from the screen
pick1 = vulcan_gui.pick_point() # creates a point object
pick1.set_single_point() # set property to select only one point
pt1 = pick1.pick('Pick point') # pick the point

'''
The function pick() returns a tuple, therefore to use a point that has been
selected you must extract the point element from the tuple by index.
Example: pt1[0]
'''

# to get xyz propeties:
for pt in pt1[0].xyz:
    print(pt)